gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin A widget used to catch events for widgets which do not have their own window. The widget is a subclass of which also has its own window. It is useful since it allows you to catch events for widgets which do not have their own window.

`using Gtk; using Gdk; using System; public class eventbox { static void delete_event (object obj, DeleteEventArgs args) { Application.Quit(); } static void exitbutton_event (object obj, ButtonPressEventArgs args) { Application.Quit(); } public static void Main (string[] args) { Gtk.Window window; EventBox eventbox; Label label; Application.Init(); window = new Gtk.Window ("Eventbox"); window.DeleteEvent += new DeleteEventHandler (delete_event); window.BorderWidth = 10; eventbox = new EventBox (); window.Add (eventbox); eventbox.Show(); label = new Label ("Click here to quit"); eventbox.Add(label); label.Show(); label.SetSizeRequest(110, 20); eventbox.ButtonPressEvent += new ButtonPressEventHandler (exitbutton_event); eventbox.Realize(); window.Show(); Application.Run(); } }`

- Constructor
  2.12.0.0
  Creates a new .
  Creates a new . `EventBox eb = new EventBox();`
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.Property("above-child")
  System.Boolean Whether the event-trapping window of the eventbox is above the window of the child widget as opposed to below it. a
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("visible-window")
  System.Boolean Whether the event box is visible, as opposed to invisible and only used to trap events. a